
QGIS Application - Bug report #6560

milliseconds not registered in table of GPX file

2012-10-22 10:15 PM - alobo -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 15760

Description

I translate NMEA files with positions recorded every 500 ms into gpx using gpsbabel.

While the gpx file correctly gets the time with precision of milliseconds, the table in Qgis does not show the milliseconds (see attached

gpxNoms.jpeg)

gpx file here: http://dl.dropbox.com/u/3180464/08-05-2012-7-04-48.gpx

Thanks

Agus

using regular qgis 1.8.0 on ubuntu 10.04

Portion of gpx file (note time field: time increases by 500 ms)

<?xml version="1.0" encoding="UTF-8"?>

<gpx

  version="1.0" 

  creator="GPSBabel - http://www.gpsbabel.org" 

  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 

  xmlns="http://www.topografix.com/GPX/1/0" 

  xsi:schemaLocation="http://www.topografix.com/GPX/1/0

http://www.topografix.com/GPX/1/0/gpx.xsd">

<time>2012-10-22T15:29:44Z</time>

<bounds minlat="40.614255000" minlon="0.713663333" 

maxlat="40.639313333" maxlon="0.730806667"/>

<trk>

<trkseg>

<trkpt lat="40.615946667" lon="0.730473333">

  <ele>-12.800000</ele>

  <time>2012-05-08T05:00:43Z</time>

  <course>345.600006</course>

  <speed>8.081923</speed>

  <fix>3d</fix>

  <sat>9</sat>

  <hdop>0.990000</hdop>

</trkpt>

<trkpt lat="40.615983333" lon="0.730470000">

  <ele>-12.700000</ele>

  <time>2012-05-08T05:00:43.500Z</time>

  <course>346.739990</course>

  <speed>8.874166</speed>
  <fix>3d</fix>

  <sat>9</sat>

  <hdop>0.990000</hdop>

</trkpt>

<trkpt lat="40.616021667" lon="0.730466667">

  <ele>-12.700000</ele>

  <time>2012-05-08T05:00:44Z</time>

  <course>347.630005</course>

  <speed>8.791856</speed>

  <fix>3d</fix>

  <sat>9</sat>

  <hdop>0.990000</hdop>

</trkpt>

<trkpt lat="40.616061667" lon="0.730463333">

  <ele>-12.700000</ele>

  <time>2012-05-08T05:00:44.500Z</time>

  <course>348.390015</course>

  <speed>9.049078</speed>

  <fix>3d</fix>

  <sat>9</sat>

  <hdop>0.990000</hdop>

History

#1 - 2014-06-21 01:25 PM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

- Category set to Data Provider

- Subject changed from miliseconds not registered in table of GPX file to milliseconds not registered in table of GPX file

Apparently that's a GDAL issue !#2680 (used in QGIS to read GPX).  BTW the GPX link is defunct.

Files
http://trac.osgeo.org/gdal/ticket/2680

